Error building GameLift 3.2 from cmake

0

Got this error while building the new GameLift 3.2 from cmake. As a result, prefix output is empty.

How can we fix this?

p.s. Couldn't you just give us the built files instead of the source code?

  CMake Error at C:/Program Files/CMake/share/cmake-3.9/Modules/ExternalProject.cmake:1811 (message):
error: could not find git for clone of sioclient-src
Call Stack (most recent call first):
C:/Program Files/CMake/share/cmake-3.9/Modules/ExternalProject.cmake:2565 (_ep_add_download_command)
cmake/External_sioclient.cmake:26 (ExternalProject_Add)
thirdparty/CMakeLists.txt:17 (include)
-- Configuring incomplete, errors occurred!
asked 6 years ago336 views
6 Answers
0
Accepted Answer

You need to install git.

You can install it using the visual studio installer (modify->common tools->git for windows) or download it directly from https://git-scm.com/download

answered 6 years ago
0

Oh thx, I must have uninstalled gitHub and all the installed files after I built the last version.

Been saying this for awhile now...but I still rather just download the ready made plug-in folder instead of doing this every version though...

answered 6 years ago
0

Sigh.. now Unreal 4.18 said it failed to compile the new plugin (even with "engine version" tag in place). I'm giving up and reverting back to v3.17. (which can be successfully built with UE4.18) You guys really make this harder than it should be...

answered 6 years ago
0

Hi @REDACTEDUSER

Thanks,

Ben

answered 6 years ago
0

Well I already deleted v3.20, sorry... took too much space.

answered 6 years ago
0

Thanks, its helped me too :)

answered 5 years ago

You are not logged in. Log in to post an answer.

A good answer clearly answers the question and provides constructive feedback and encourages professional growth in the question asker.

Guidelines for Answering Questions